import request from '@/utils/request'
/**
 * 获取表单列表
 * @param page
 * @param page_size
 * @param template_name
 * @returns {*}
 */
export function getFormList(page, page_size, template_name){
  return request({
    url: '/api/form/temp-list',
    method: 'get',
    params: {
      page,
      page_size,
      template_name
    }
  })
}
/**
 * 获取表单详情
 * @param template_id
 * @returns {*}
 */
export function getFormInfo(template_id){
  return request({
    url: '/api/form/temp-info',
    method: 'get',
    params: {
      template_id
    }
  })
}
/**
 * 保存展会模板
 * @param id
 * @param template_name
 * @param description
 * @param fields
 * @returns {*}
 */
export function saveForm(id,template_name,description,fields){
  return request({
    url: '/api/form/temp',
    method: 'post',
    data: {
      id,
      template_name,
      description,
       fields
    }
  })
}
 /**
 * 删除表单
 * @param id
  * @param status
 * @returns {*}
 */
 export function deleteForm(id,status) {
   return request({
     url: '/api/form/temp',
     method: 'delete',
     data:{
       id,
       status
     }
   })
 }
 /**
 * 设置表单状态
 * @param id
 * @param status
 * @returns {*}
 */
 export function setFormStatus(id,status) {
   return request({
     url: '/api/form/temp-status',
     method: 'post',
     data:{
       id,
       status
     }
   })
 }
/**
 * 发送邀请函
 * @param form_ids
 * @param content
 * @returns {*}
 */
 export function sentInvitation(form_ids,content) {
   return request({
     url: '/api/form/send-invitation',
     method: 'post',
     data:{
       form_ids,
       content
     }
   })
 }
/**
 * 提交表单接口
 * @param expo_id
 * @param form_data
 * @returns {AxiosPromise}
 */
export function submitForm(expo_id,form_data) {
   return request({
     url: '/api/form/info',
     method: 'post',
     data:{
       expo_id,
       form_data
     }
   })
}
/**
 * 获取位置列表
 * @returns {AxiosPromise}
 */
export function getLocationList(page, page_size){
  return request({
    url: '/api/location/list',
    method: 'get',
    params: {
      page,
      page_size
    }
  })
}

export function  getJobList(page, page_size){
  return request({
    url: '/api/job/list',
    method: 'get',
    params: {
      page,
      page_size
    }
  })
}

/**
 * 获取观众列表
 * @param page
 * @param page_size
 * @param keyword
 * @param is_export
 * @param expo_id
 * @returns {*}
 */
export function getAudienceList(page, page_size,keyword,is_export,expo_id){
  return request({
    url: '/api/form/list',
    method: 'get',
    params: {
      keyword,
      page,
      page_size,
      is_export,
      expo_id
    }
  })
}
/**
 * 保存自定义字段
 * @param id
 * @param field_label
 * @param field_type
 * @param field_data
 * @param is_required
 * @returns {*}
 */
export function saveMyFields(id,field_label,field_type,field_data,is_required){
  return request({
    url: '/api/form/my-fields',
    method: 'post',
    data: {
      id,
      field_label,
      field_type,
      field_data,
      is_required
    }
  })
}

/**
 * 获取自定义字段
 */
export function getMyFields(){
  return request({
    url: '/api/form/my-fields',
    method: 'get'
  })
}
/**
 * 导入观众
 * @param file
 * @param expo_id
 * @returns {*}
 */
export function importAudience(file,expo_id) {
  return request({
    url: '/api/form/upload-form',
    method: 'post',
    data: {
      file,
      expo_id
    },
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}
